Subject: Re: bug#18289: libparted ped_disk_clobber() overwrites firmware on some arm systems

From: "Brian C. Lane" <[email-masked]>
Date: Mon, 18 Aug 2014 09:59:49 -0700

On Mon, Aug 18, 2014 at 08:19:17AM +0200, Karsten Merker wrote:
> Hello,
> 
> the following is a discussion from the Debian bugtracking system regarding
> Debian Bug#751704 (https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=751704).
> It needs involvement from parted upstream, therefore I am forwarding it to 
> [email-masked].

Thanks for forwarding this. parted should only be clobbering these extra
sectors when a new disklabel is applied (eg. mklabel in the ui) which, I
think, is the appropriate thing to do.

If you are operating on an existing disklabel and want to preserver a
boot loader in the space before the 1st partition you shouldn't be
calling ped_disk_new_fresh(). If you are creating a new disklabel then
any boot loader code should be installed after partitioning.

I don't think parted needs any changes.

-- 
Brian C. Lane | Anaconda Team | IRC: bcl #anaconda | Port Orchard, WA (PST8PDT)